import * as v from 'valibot';
import { DcqlClaimsQuery } from '../dcql-query/m-dcql-claims-query.js';
import type { DcqlCredentialQuery } from '../dcql-query/m-dcql-credential-query.js';
export declare const getNamespacesParser: (claimsQueries: DcqlClaimsQuery.Mdoc[]) => v.ObjectSchema<any, undefined>;
export declare const getJsonClaimsParser: (claimsQueries: DcqlClaimsQuery.W3cAndSdJwtVc[], ctx: {
    presentation: boolean;
}) => v.IntersectSchema<v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("../u-dcql.js").Json, import("../u-dcql.js").Json, v.BaseIssue<unknown>>, undefined>[], undefined>;
export declare const getMdocClaimsQueriesForClaimSet: (claimsQueries: DcqlClaimsQuery.Mdoc[], claimSet: string[]) => DcqlClaimsQuery.Mdoc[];
export declare const getJsonClaimsQueriesForClaimSet: (claimsQueries: DcqlClaimsQuery.W3cAndSdJwtVc[], claimSet: string[]) => DcqlClaimsQuery.W3cAndSdJwtVc[];
export declare const getCredentialParser: (credentialQuery: DcqlCredentialQuery, ctx: {
    claimSet?: NonNullable<DcqlCredentialQuery["claim_sets"]>[number];
    presentation: boolean;
}) => v.ObjectSchema<{
    readonly docType: v.StringSchema<undefined> | v.LiteralSchema<string, undefined>;
    readonly namespaces: v.ObjectSchema<any, undefined> | v.RecordSchema<v.StringSchema<undefined>, v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>, undefined>;
}, undefined> | v.ObjectSchema<{
    readonly vct: v.StringSchema<undefined> | v.PicklistSchema<string[], undefined>;
    readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("../u-dcql.js").Json, import("../u-dcql.js").Json, v.BaseIssue<unknown>>, undefined> | v.IntersectSchema<v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("../u-dcql.js").Json, import("../u-dcql.js").Json, v.BaseIssue<unknown>>, undefined>[], undefined>;
}, undefined> | v.ObjectSchema<{
    readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("../u-dcql.js").Json, import("../u-dcql.js").Json, v.BaseIssue<unknown>>, undefined> | v.IntersectSchema<v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("../u-dcql.js").Json, import("../u-dcql.js").Json, v.BaseIssue<unknown>>, undefined>[], undefined>;
}, undefined>;
//# sourceMappingURL=dcql-claims-query-result.d.ts.map